# Base Sub State

This module provide abstract models to manage customizable substates to be applied on different models (sale order, purchase, …).

# example:

- for the quotation state of a sale order we can define 3 substates “In negotiation”, “Won” and “Lost”.
- We can also send mail when the substate is reached.

It is not useful by itself. You can see an example of implementation in the ‘purchase_substate’ module. (purchase-workflow repository).

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

1. You must install an application module depending this one (for example purchase_substate)

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Akretion

### Contributors

- Mourad EL HADJ MIMOUNE <mourad.elhadj.mimoune@akretion.com>
- Kitti U. <kittiu@ecosoft.co.th>
- Alexei Rivera <arivera@archeti.com> (migration to 15.0)

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-ux project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.